.wave-text {
    font-size: 50px;
    color: var(--theme-primary);
    -webkit-text-stroke: 1px var(--white-color);
    text-stroke: 1px var(--white-color);
    opacity: 1;
    font-weight: 900;
    text-transform: uppercase;
    display: flex;
}

.letter {
    display: inline-block;
    opacity: 0;
    transform: translateY(20px);
    animation: fadeUp 0.5s ease-in-out forwards;
}

.space {
    width: 20px;
}

.counter .overlay-text {
    -webkit-text-stroke: 2px #ffffff;
    -webkit-text-fill-color: transparent;
    -webkit-text-stroke-color: currentColor;
    -webkit-text-stroke-width: 0.012em;
}

@keyframes fadeUp {
    0% { opacity: 0; transform: translateY(20px); }
    100% { opacity: 1; transform: translateY(0); }
}

/* Animate H1 */

.text-container {
    color: var(--white-color);
    display: flex;
    flex-wrap: wrap;
}

.letterB {
    opacity: 0;
    transform: translateY(20px);
    display: inline-block;
    transition: opacity 0.3s ease-in, transform 0.3s ease-in;
}

.word {
    margin-right: 15px;
}

.service-block:hover .scale-animate img,
.product-box:hover .scale-animate img {
    transform: scale(1.2);
}

.check-list {
    display: flex;
    flex-direction: column;
    gap: 16px;
    color: var(--white-color);
}

.check-list li {
    font-size: 20px;
    padding: 0 0 0 38px;
    position: relative;
}

.check-list li::before {
    content: '';
    background-image: var(--tick-icon);
    display: inline-block;
    position: absolute;
    inset: 1px auto 0 0;
    width: 26px;
    height: 26px;
    background-size: 26px;
    background-repeat: no-repeat;
}

/* Banner */

.banner-intro {
    position: relative;
    padding: 320px 0 200px;
    background-color: var(--theme-secondary);
}

.banner-video {
    position: absolute;
    inset: 0;
    margin: auto;
    width: 100%;
}

.banner-video video {
    width: 100% !important;
    height: 100%;
    object-fit: cover;
}


.about-block {
    position: absolute;
    top: 0px;
    background: #FFFFFF8C;
    left: 0px;
    box-shadow: 0px 4px 10px 0px #03020254;
    border: 3px solid #FFFFFF;
    border-radius: 30px;
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
    border-top: 0px;
    padding: 5px 30px;
}

.manuafacture-intro::before {
    content: "";
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background: #ffffff40;
    position: absolute;
}

.product-intro h2,
.counter h2.overlay-text {
    -webkit-text-fill-color: transparent;
    -webkit-text-stroke: 2px #ffffff;
    -webkit-text-fill-color: transparent;
    -webkit-text-stroke-color: currentColor;
    -webkit-text-stroke-width: 0.012em;
    position: relative;
    font-size: 100px;
    letter-spacing: 10px;
    text-transform: uppercase;
    display: inline-block;
}

.counter h2.overlay-text {
    font-size: 60px;
}

.product-intro h2::before,
.counter h2.overlay-text::before {
    position: absolute;
    content: attr(data-text);
    top: 0;
    left: 0;
    max-width: 0;
    width: 100%;
    overflow: hidden;
    white-space: nowrap;
    transition: max-width 0.8s cubic-bezier(0.22, 0.61, 0.36, 1);
    -webkit-text-fill-color: currentColor;

 }
 .product-intro h2:hover::before,
  .counter h2.overlay-text:hover::before {
    max-width: 100%;
  }

  .new-about-block h2 {
    color: #d9d9d9 !important;
  }

/* Service Block */

.product-intro {
    background-image: url(../images/home-images/service-img-4.webp);
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
}

.product-intro::before {
    content: '';
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    background-color: #00000036;
    backdrop-filter: blur(8px);
}

.service-block {
    position: relative;
    overflow: hidden;
    border-radius: 30px;
    height: 400px;
    transition: all 0.3s;
    cursor: grab;
    display: flex;
    flex-direction: column;
    justify-content: end;
    border: 2px solid var(--white-color);
}

.service-block::before {
    content: "";
    position: absolute;
    top: 100%;
    left: 0px;
    right: 0px;
    bottom: 0px;
    z-index: 1;
    border-radius: 30px;
    background: #072c3e60;
    transition: 0.3s ease-out;
}

.service-img {
    height: 100%;
    width: 100%;
    position: absolute;
    inset: 0;
    scale: 1.1;
}

.service-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.service-content {
    position: relative;
    z-index: 1;
    bottom: 0;
    padding: 20px;
    background: #ffffff70;
    backdrop-filter: blur(10px);
    margin: 20px;
    border-radius: 30px;
    transition: all 0.3s;
    overflow: hidden;
}

.service-content .button {
    position: absolute;
    bottom: -70px;
}

.service-content p {
    transition: all 0.3s;
}

.service-block:hover .service-content .button {
    bottom: 20px;
}

.service-block:hover .service-content p {
    padding-bottom: 70px;
}

.service-block:hover::before {
    top: 0;
}

/* Product Block */

/* .product-grid {
    display: flex;
    gap: 15px;
}

.product-box {
    padding: 15px 15px;
    flex: 0 0 1;
    width: 45%;
    transition: width 0.6s cubic-bezier(0.65, 0, 0.35, 1);
    overflow: hidden;
    position: relative;
    height: 280px;
    display: flex;
    flex-direction: column;
    justify-content: end;
    border: 1px solid var(--white-color);
}

.product-box img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.8s cubic-bezier(0.65, 0, 0.35, 1);
    background: #fff;
}

.product-box .product-img {
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    transition: height 0.6s cubic-bezier(0.65, 0, 0.35, 1);
}

.product-box .product-content {
    color: var(--black-color);
    opacity: 9.7;
    transform: translateY(90px);
    transition: all 0.7s cubic-bezier(0.65, 0, 0.35, 1);
    background: #ffffff70;
    backdrop-filter: blur(10px);
    padding: 20px;
    border-radius: 20px;
}

.product-box:hover {
    cursor: pointer;
}

.product-box.active .product-content {
    opacity: 1;
    transform: translateY(0);
}

.product-box.active {
    width: 100%;
} */

/* Product Block */


.product-box {
    padding: 20px 20px;
    border: 1px solid var(--theme-secondary);
    width: 100%;
    transition: width 0.6s cubic-bezier(0.65, 0, 0.35, 1);
    overflow: hidden;
    position: relative;
    height: 500px;
    display: flex;
    flex-direction: column;
    justify-content: end;
    border-radius: 30px;
    overflow: hidden;
}

.product-box img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.8s cubic-bezier(0.65, 0, 0.35, 1);
    background: #fff;
}

.product-box .product-img {
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    transition: height 0.6s cubic-bezier(0.65, 0, 0.35, 1);
}

.product-box .product-content {
    color: var(--black-color);
    opacity: 9.7;
    transform: translateY(90px);
    transition: all 0.7s cubic-bezier(0.65, 0, 0.35, 1);
    background: #ffffff70;
    backdrop-filter: blur(10px);
    padding: 20px;
    border-radius: 20px;
}

.product-box:hover {
    cursor: pointer;
}

.product-box.active .product-content {
    opacity: 1;
    transform: translateY(0);
}

.machine-slider-2 .swiper-wrapper {
    align-items: center !important;
}

.machine-slider-2 .swiper-slide {
    transform: scale(0.7) !important;
    transition: all 200ms linear !important;
}

.machine-slider-2 .swiper-slide.swiper-slide-active {
    transition: all 200ms linear !important;
    transform: scale(1) !important;
}

.machine-slider-2 .swiper-slide.swiper-slide-active .product-box {
    transition: all 200ms linear !important;
}

.slider-arrow {
    display: flex;
    flex-direction: row-reverse;
    gap: 20px;
}

.slide-next, .slide-prev {
    width: 40px;
    height: 40px;
    background-color: transparent;
    border: 1px solid #00000040;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50px;
    transition: all 0.3s;
}

.slider-arrow .slide-next:hover,
.slider-arrow .slide-prev:hover {
    background-color: var(--theme-primary);
    border: 1px solid var(--theme-primary);
    display: flex;
}

.slider-arrow .slide-next:hover svg path,
.slider-arrow .slide-prev:hover svg path {
    fill: var(--white-color);
}

/* Manufacturing Block */

.manuafacture-intro {
    background-image: url(../images/home-images/manufaturing-intro.webp);
    background-size: cover;
    background-color: var(--theme-secondary);
    background-repeat: no-repeat;
    backdrop-filter: blur(38px);
}

.machine-block {
    overflow: hidden;
    border: 2px solid var(--white-color);
}

.machine-block img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.machine-slider .swiper-wrapper {
    align-items: center;
}

.machine-slider .swiper-slide {
    transform: scale(0.7);
    transition: all 200ms linear;
}

.machine-slider .swiper-slide.swiper-slide-active {
    transition: all 200ms linear;
    transform: scale(1);
}

.machine-slider .swiper-slide.swiper-slide-active .machine-block {
    transition: all 200ms linear;
}

/* Project Block*/

.project-slide {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.project-main {
    display: grid;
    grid-template-columns: 640px auto;
    gap: 10px;
    background: var(--white-color);
    border: solid 1px #e7e7e6;
    border-radius: 30px;
    padding: 10px;
}

.project-img {
    width: 100%;
    height: 500px;
}

.project-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 22px;
    overflow: hidden;
}

.project-detail {
    background: #f0f0f0;
    border-radius: 30px;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: baseline;
}

.project-listing {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.project-listing span {
    background: var(--white-color);
    border-radius: 30px;
    color: var(--black-color);
    padding: 6px 12px;
    font-size: 15px;
    font-weight: 600;
}

.slider-btn {
    margin: 40px 0 0;
}

.swiper-pagination-dots {
    justify-content: center;
}

.slider-btn .swiper-pagination,
.slider-btn .swiper-pagination-dots {
    display: flex;
    align-items: center;
    position: static;
    width: auto;
}

.slider-btn .swiper-pagination-bullet {
    background: var(--black-color) !important;
}

.slider-btn .swiper-pagination-bullet-active {
    opacity: var(--swiper-pagination-bullet-opacity, 1);
    background: var(--theme-primary) !important;
    width: 28px !important;
    border-radius: 4px;
}

.cursor {
    position: fixed;
    left: var(--cursor-x);
    top: var(--cursor-y);
    width: 80px;
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--white-color);
    font-size: 20px;
    font-weight: 600;
    background: var(--theme-primary);
    border-radius: 50%;
    transform: translate(-50%, -50%) scale(0);
    z-index: 2;
    pointer-events: none;
    opacity: 0;
    transition: opacity 0.2s, transform 0.2s;
}

body.show-custom-cursor .cursor {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1);
}

/* Testimonial Block */

.testimonial-block {
    display: flex;
    flex-direction: column;
    gap: 30px;
    border: 1px solid transparent;
    background-color: var(--theme-secondary);
    transition: all 0.3s;
    padding: 30px;
    border-radius: var(--radius-30);
    color: var(--white-color);
}

.testi-wrapper {
    display: flex;
    align-items: center;
    gap: 20px;
}

.testi-img {
    width: 80px;
    height: 80px;
    min-width: 80px;
    border-radius: 50%;
    overflow: hidden;
}

.testi-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.testimonial-block:hover {
    background-color: var(--white-color);
    border-color: var(--white-color);
    color: var(--black-color);
}

/* Client Intro */

.client-intro {
    background-image: url(../images/home-images/client-intro.webp);
    background-size: cover;
    background-color: var(--theme-secondary);
    background-repeat: no-repeat;
    position: relative;
}
.client-intro::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: #00206082;
    top: 0;
    left: 0;
}

.tech-block {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    justify-content: center;
    gap: 20px;
    border: 1px solid var(--white-color);
    background: var(--white-color);
    padding: 14px 15px;
    border-radius: 10px;
    width: 100%;
}

.tech-block.custom img {
    width: 100% !important;
    height: 50px;
    object-fit: contain;
}

.tech-block img {
    width: auto !important;
}

@media screen and (max-width: 1599px) {

    .project-main {
        grid-template-areas: "img content";
        grid-template-columns: 40% auto;
    }

    .project-row .col-lg-12:nth-child(even) .project-main {
        grid-template-areas: "content img";
        grid-template-columns: auto 40%;
    }

    .project-main .project-img {
        grid-area: img;
    }
    .project-main .project-detail {
        grid-area: content;
    }

    .product-box .product-content {
        transform: translateY(84px);
    }
}

@media screen and (max-width: 991px) {

    .project-main {
        grid-template-columns: auto;
        grid-gap: 10px;
    }

    .project-main .project-img-2 {
        display: none;
    }

    .wave-text {
        font-size: 58px;
        flex-wrap: wrap;
        justify-content: center;
    }

    .text-container {
        text-align: center;
        justify-content: center;
    }
    .product-intro h2 {
        font-size: 55px;
    }

    .slider-arrow {
        justify-content: center;
    }
}

@media screen and (max-width: 767px) {

    .banner-intro {
        padding: 250px 0 180px;
    }

    .project-detail {
        text-align: center;
    }

    .project-main {
        display: flex;
        flex-direction: column;
        gap: 10px;
    }

    .product-grid {
        flex-wrap: wrap;
        gap: 10px;
    }

    /* .product-box {
        width: 49%;
        height: 300px;
    }

    .product-box.active {
        width: 49%;
    } */

    .wave-text {
        font-size: 44px;
    }
    .product-box .product-content {
        transform: translateY(75px);
    }
    .product-intro h2 {
        font-size: 28px;
    }
}
@media screen and (max-width: 522px) {
    /* .product-box.active, .product-box {
        width: 100%;
    } */
}
@media screen and (max-width: 500px) {

    .product-grid {
        justify-content: space-between;
    }

    /* .product-box,
    .product-box.active {
        width: 100%;
    } */

    .wave-text {
        font-size: 24px;
    }

}